<?php	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$privat=trim($udata[10]);}
$did=$_GET['did']; $fid=$_GET['fid'];
if(!eregi("[^a-z0-9_@+-]",$did) && (!eregi("[^a-z0-9_@!+.-]",$fid))){	
$did=check($did);
$fid=check($fid);
$date=date("d.m.y");
$time=date("H:i"); 
$lib_name=file_get_contents("$did/name.dat");
//--------------------------------------- Основная -----------------------------------//
if(!isset($action)){
if(!empty($did)){
echo '<div class="b">';
echo '<b>Статьи Сайта | '.$lib_name.'</b></div>';
///////////////////////////////////////////////////////////////////
$dir = opendir ($did); #открываем текущую директорию
while ($file = readdir ($dir)) 
{if (ereg(".txt$", $file)) // эти файлы не игнорируем
{$a[]=$file;}}   #записываем все что есть в массив
closedir ($dir);  #Закрываем 
sort($a);  #сортируем
$b=$a;
$total = count($a); #считаем 
if($a!=""){
if (empty($_GET['start'])) $start = 0; # для вывода
else $start = $_GET['start'];
if ($total < $start + $config_liblist){ $end = $total; }
else {$end = $start + $config_liblist; }
for ($i = $start; $i < $end; $i++){ 
$siz= file("$did/$b[$i]");  
$count_lib= count($siz);
$stranicy_lib=ceil($count_lib/$config_libpost);
if($stranicy_lib==0){$stranicy_lib=1;}
$filtime=filemtime ("$did/$b[$i]"); 
$filtime=$filtime+(3600*24*2);  //Сколько статью считать новым сейчас уст. на 2 суток
$ttime=time();
if($filtime>=$ttime){echo'<font color="#ff0000"><blink>!!!</blink></font>';}else{
echo'';} 
$st_name=file("$did/$a[$i]");
echo'<a href="lj.php?action=count&amp;did='.$did.'&amp;fid='.$b[$i].'&amp;'.SID.'">'.$st_name[0].'</a><br>';
##########################################
}}else{echo'<br><b><img src="img/error.png" alt=""> В данной категории нет статей!</b><br>'; $total=0;}
echo'<hr>';  
if ($start != 0) {echo '<a href="lj.php?start='.($start - $config_liblist).'&amp;did='.$did.'&amp;'.SID.'">&lt;-Назад </a> ';}else{echo'&lt;-Назад ';}
echo'|';
if ($total > $start + $config_liblist) {echo ' <a href="lj.php?start='.($start + $config_liblist).'&amp;did='.$did.'&amp;'.SID.'"> Далее-&gt;</a>';}else{echo' Далее-&gt;';}
if($total>0){
$ba=ceil($total/$config_liblist);
$ba2=$ba*$config_liblist-$config_liblist;
echo '<br><hr>Страницы:';
$asd=$start-($config_liblist*3);
$asd2=$start+($config_liblist*4);
if($asd<$total && $asd>0){echo ' <a href="lj.php?start=0&amp;did='.$did.'&amp;'.SID.'">1</a> ... ';}
for($i=$asd; $i<$asd2;)
{if($i<$total && $i>=0){
$ii=floor(1+$i/$config_liblist);
if ($start==$i) {
echo ' <b>'.$ii.'</b>';}
else {
echo ' <a href="lj.php?start='.$i.'&amp;did='.$did.'&amp;'.SID.'">'.$ii.'</a>';}}
$i=$i+$config_liblist;}
if($asd2<$total){echo ' ... <a href="lj.php?start='.$ba2.'&amp;did='.$did.'&amp;'.SID.'">'.$ba.'</a>';}}
}else{
echo'Произошла ошибка! Не выбрана категория';}
}
//-------------------------------- Cчетчик ---------------------------------------------//
if($action=="count"){
if(!empty($did) && !empty($fid)){
if(@file ("$did/$fid"))
{
header("location: lj.php?action=ob&did=$did&fid=$fid&".SID); 
$f = @file("../local/gazeta/komen/$fid.dat"); 
$u = explode("|",$f[0]);
$g=trim($u[0]+1);
$t=$g.'|'.$u[1].'|'.$u[2].'|'.$currDate.' ('.$currTime2.')|'.$did.'|0|';
$t=preg_replace ("|[\r\n]+|si","",$t);
$rd=0;  
$file=file("../local/gazeta/komen/$fid.dat");
$fp=fopen("../local/gazeta/komen/$fid.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$t\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0777);
chmod ("../local/gazeta/komen/$fid.dat", 0777);          
}else{$resultus='<br>Ошибка, невозможно найти требуемую вами статью '.$did.'/'.$fid.'<br>';}
}else{$resultus='<br>Отсутствуют важные данные<br>';}
} 
echo $resultus;
//////////////////////////////////////////////////////////////////
//Запись и вывод рейтинга
if($action=="vote"){
if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog ){	
if($_SESSION[votus]!=$fid){
unset($_SESSION['votus']);
if(file("../local/gazeta/komen/$fid.dat")){
if(file ("$did/$fid")){
$f = file("../local/gazeta/komen/$fid.dat"); 
$u = explode("|",$f[0]);
$g=trim($u[1]+1);
$g2=trim($u[2]+$ocenka);
$t= $u[0].'|'.$g.'|'.$g2.'|'.$u[3].'|'.$u[4].'|';
$t=preg_replace ("|[\r\n]+|si","",$t);
$rd=0;  
$file=file("../local/gazeta/komen/$fid.dat");
$fp=fopen("../local/gazeta/komen/$fid.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
for ($i=0;$i< sizeof($file);$i++) {if ($rd!=$i) {fputs($fp,$file[$i]);} else {fputs($fp,"$t\r\n");}}
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
chmod ($fp, 0777);
chmod ("../local/gazeta/komen/$fid.dat", 0777);       
$ocenka2=round($ocenka/2);
echo'<br>Спасибо ваша оценка: <b>"'.$ocenka2.'"</b> принята<br>';  
$_SESSION['votus']=$fid;
$te = file("../local/gazeta/komen/$fid.dat"); 
$u = explode("|",$te[0]);
$tit=round($u[2]/$u[1]/2,1);
echo 'Всего оценивало: '.$u[1].'<br>';
echo 'Средняя оценка: '.$tit.'<br>';
echo'<br><br><a href="lj.php?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">К статье</a>';
} else { echo '<br>Ошибка, невозможно открыть требуемую вам статью <br>';}
} else { echo 'Вы не можете оценивать т.к. никто еще не читал статью ';
echo'<br><br><a href="?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">К статье</a>';
}}else{ echo'Вы уже оценили эту статью !'; 
echo'<br><br><a href="lj.php?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться к описанию</a>';
}}else{
echo'Вы не авторизованы,<br> для того, чтобы дать оценку необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br>';
echo'<br><br><a href="?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться к статье</a>';
}}
// ------------------------------------- Вывод камментов ---------------------------------//
if($action=="komm"){
if (!$log=="" && !md5($par)=="" && md5($par)==$provpar && $log==$provlog ){
$st_name=file("$did/$fid");
echo'<img src="../images/img/dot.gif" alt=""> Комментарии к статье '.$st_name[0].'<br><br>';
if($config_themes!=="wml"){	
echo'<form action="lj.php?action=addkomm&amp;fid='.$fid.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
echo'<b>Сообщение:</b><br>';
echo'<textarea cols="25" rows="3" name="msg"></textarea><br>';
if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}
echo'<input type="submit" value="Написать" /></form><hr>';
}else{
echo'<br>Сообщение:<br>';
echo'<input name="msg" /><br>';
if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}
echo'<anchor>Написать';
echo'<go href="lj.php?action=addkomm&amp;fid='.$fid.'&amp;did='.$did.'&amp;'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="trans" value="$(trans)"/>';
echo'</go></anchor><br>--------------------<br>';
}
}else{
echo'Вы не авторизованы,<br> для добавления сообщения необходимо <a href="../pages/vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="../pages/registration.php?'.SID.'"> зарегистрироваться</a><br>'; }

$file = file("../local/gazeta/komen/$fid.dat");
$file = array_reverse($file);
$total = count($file)-1;    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_postdown){ $end = $total; }
else {$end = $start + $config_postdown;}
for ($i = $start; $i < $end; $i++){


$data = explode("|",$file[$i]);
$i2=round($i+1);

/////////////////////////////  онлайнер /////////////////////////////////
$statwho='<font color="red">[Off]</font>';
  $sublines=file("../local/online.dat"); 
$subcount=count($sublines);
for ($b=0; $b<$subcount; $b++) {$dt=explode("#",$sublines[$b]); if ($data[3]==$dt[2]) 
{$statwho='<font color="#00FF00">[On]</font>';}}
///////////////////////////////////////////////////////////////

$ava = @file("../local/profil/$data[3].prof"); 
$avv = explode(":||:",$ava[0]);
##########################################################################################################
$data[0]=eregi_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?)", "<a href='\\1'>\\1</a>", $data[0]);
$data[5]=preg_replace ("|[\r\n]+|si","",$data[5]);

###########################################################################################################
echo'<div class="b"> ';
if(!empty($udata[45])){
if($avv[43]!="" && $avv[43]!="noavatar.gif"){
echo'<img src="../'.$avv[43].'" alt=""> ';}else{
echo'<img src="../images/avators/noavatar.gif" alt=""> '; }
	
echo'<b><a href="../pages/anketa.php?uz='.$data[3].'&amp;'.SID.'"> '.$data[3].' </a></b> '.$statwho; }
else{echo'<img src="../images/img/dot.gif" alt=""> <b><a href="../pages/anketa.php?uz='.$data[3].'&amp;'.SID.'"> '.$data[3].' </a></b> '.$statwho;}		
	
echo'<small> ('.$data[2].' - '.$data[1].')</small></div><div>'.$data[0].'<br>'; 

}
echo'<hr>';
if ($start != 0) {echo '<a href="lj.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.($start - $config_postdown).'&amp;'.SID.'">&lt;-Назад |</a> ';}else{echo'&lt;-Назад |';}

if ($total > $start + $config_postdown) {echo ' <a href="lj.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.($start + $config_postdown).'&amp;'.SID.'">| Далее-&gt;</a>';}else{echo'| Далее-&gt;';}


if($total>0){

$ba=ceil($total/$config_postdown);
$ba2=$ba*$config_postdown-$config_postdown;

echo '<br><hr>Страницы:';
$asd=$start-($config_postdown*3);
$asd2=$start+($config_postdown*4);

if($asd<$total && $asd>0){echo ' <a href="lj.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_postdown);

if ($start==$i) {
echo ' <b>'.$ii.'</b>';
               }
                else {
echo ' <a href="lj.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_postdown;}
if($asd2<$total){echo ' ... <a href="lj.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}
}




//------------------------------- Запись комментариев ---------------------------------// 
if($action=="addkomm"){

$str=strlen($msg);
if($msg!="" && $str>6){
if(file("../local/gazeta/komen/$fid.dat")){


//--------------------- Новый антифлуд -----------------------------//
if($config_floodstime > 0){
if(flooder($ip, $php_self) == TRUE ){header ("Location: index.php?isset=antiflood&".SID); exit;}
$flood_file = fopen(BASEDIR."local/flood.dat", "a+");
flock ($flood_file,LOCK_EX);
fputs ($flood_file, time()."|$ip|$php_self|\r\n");
fflush($flood_file);
flock ($flood_file,LOCK_UN);
fclose($flood_file);   
}

if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
$msg=wordwrap($msg,100,' ',1);
$msg=substr($msg,0,1000);
$msg=check($msg);

if($trans=="y"){$msg=transliter($msg);}
$msg = antimat($msg);
$msg = smiles($msg);

$file = @file("../local/gazeta/komen/$fid.dat");
$total = count($file);
$total = $total - 1;

$data1 = explode("|",$file[$total]);
$me=$data1[5]+1;
$text=$msg.'|'.$date.'|'.$time.'|'.$log.'||'.$me.'|';
$text=preg_replace ("|[\r\n]+|si","",$text);

$fp=fopen("../local/gazeta/komen/$fid.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod("$fp", 0777);
chmod("../local/gazeta/komen/$fid.dat", 0777);

/////////////////////////////////////
$f = file("../local/local.dat"); 
$u = explode("|",$f[0]);
$u[6]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen("../local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
///////////////////////////

$file=file("../local/gazeta/komen/$fid.dat"); $i = count($file);
if ($i>=$config_maxpostdown) {
$fp=fopen("../local/gazeta/komen/$fid.dat","w");
flock ($fp,LOCK_EX);
unset($file[1]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
chmod("$fp", 0777);
chmod("../local/gazeta/komen/$fid.dat", 0777);}




//------------------------------ Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[14]=$ip;
$udata[33]++;
$udata[36]++;
$udata[41]++;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");
flock($fp,LOCK_EX);   
ftruncate($fp,0);                                                                 
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}}
//Ваш комментарий успешно добавлен!
header("location: lj.php?action=komm&did=$did&fid=$fid&".SID); 

}else{echo'Вы не можете комментировать т.к. никто еще не читал статью';}
}else{echo'Вы не написали комментарий или он слишком короткий'; }
echo'<br/><a href="?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться к комментариям</a>';
echo'<br/><a href="?action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Вернуться к описанию</a>';
}



//------------------------------------ Описание загрузки -------------------------------------//
if($action=="ob"){
if(!empty($did)  && !empty($fid)){ 
$te = file("../local/gazeta/komen/$fid.dat"); 
$u = explode("|",$te[0]);
if($u[0]==""){$u[0]="0";}
$file = @file("../local/gazeta/komen/$fid.dat");
$total = count($file);
$total = $total - 1;

$data1 = explode("|",$file[$total]);
if (!ctype_digit($data1[5])){$data1[5]="0";}
$opis = file("$did/$fid");
$total =count($opis);
$Opis= @file("../local/gazeta/$fid.dat");
$usa= explode("|",$Opis[0]);

echo 'Название Газеты: <b>'.$usa[3].'</b><br>';
echo 'Раздел: <b>'.$lib_name.'</b><br>';
echo 'Псевдоним Автора: <b>'.$usa[2].'</b><br>';
echo'Прочитали: <b>'.$u[0].'</b> раз<br>';
echo 'Добавил: <b>'.$usa[0].'</b><br>';
echo'Содержание :<br>
- - - - - -<br>';
if (empty($_GET['start'])) $start = 1;
else $start = $_GET['start'];
if ($total < $start + $config_libpost){ $end = $total; }
else {$end = $start + $config_libpost; }
for ($i = $start; $i < $end; $i++){
##############=============================================##########################Test BB
$data = explode(":||:",$tex[0]);

   {   
//$opis[$i]=str_replace("((https?|ftp)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&amp;._=/~%#]*(\\?[[:alnum:]?+&amp;_=/%#]*)?)?)", "<a href='\\1'>\\1</a>", $opis[$i]);   
$opis[$i]=str_replace("<br/>", "[br]", "$opis[$i] ");
$opis[$i]=str_replace("'", '&quot;', "$opis[$i] ");
$opis[$i]=str_replace("<", "&lt;", "$opis[$i] ");
$opis[$i]=str_replace(">", "&gt;", "$opis[$i] ");
//$opis[$i]=str_replace("&gt;", ">", "$opis[$i] ");
$opis[$i]=str_replace("[br]", "<br />", "$opis[$i] "); /// Переносим строку...
$opis[$i]=str_replace('&quot;', '"', "$opis[$i] ");
$opis[$i]=str_replace('&amp;', '&', "$opis[$i] ");
$opis[$i]=str_replace('&amp;gt;', '>', "$opis[$i] ");
$opis[$i]=str_replace("[r]", '<font color="#FF0000">', "$opis[$i] "); ///// цвет Красный
$opis[$i]=str_replace("[/]", '</font>', "$opis[$i] "); /////Закрываем тег и так все цвета
$opis[$i]=str_replace("[g]", '<font color="#00bf00">', "$opis[$i] ");///// Зелёный
$opis[$i]=str_replace("[or]", '<font color="#FF8F33">', "$opis[$i] ");///// Оранжевый
$opis[$i]=str_replace("[bl]", '<font color="#0000ef">', "$opis[$i] ");///// Синий
$opis[$i]=str_replace("[y]", '<font color="#dfdf00">', "$opis[$i] ");///// Желтый
$opis[$i]=str_replace("[img]", '<img src="http://', "$opis[$i] ");/// Адрес картинки без http:// иначе куй а не картинка.
$opis[$i]=str_replace("[/img]", '" alt="X">', "$opis[$i] ");///Закрываем картинку
$opis[$i]=str_replace("[code]", '<div class=\'c\'><code style=\'white-space:wrap\'>', "$opis[$i] ");///Вставляем код
$opis[$i]=str_replace("[/code]", '<br></code></div>', "$opis[$i] ");///Закрываем код
$opis[$i]=str_replace("[h]", '<a href="http://', "$opis[$i] ");///html ссылка, без http://
$opis[$i]=str_replace("[/h]", '">', "$opis[$i] ");///закрываем адрес и переходим к названию ссылки
$opis[$i]=str_replace("[s]", '<font color="#0000ff">', "$opis[$i] ");///пишем название ссылки
$opis[$i]=str_replace("[/s]", '</font></a>', "$opis[$i] ");///Закрываем ссылку 
$opis[$i]=str_replace("[b]", '<b>', "$opis[$i] ");/// И по традиции Жирный шрифт
$opis[$i]=str_replace("[/b]", '</b>', "$opis[$i] ");/// Закрываем тег....
    echo ''.$opis[$i].'<br> ';	
//   }
########################################################End BB########################################
//echo check($opis[$i]).'<br />'; // !!!
//echo ''.$opis[$i].'<br /> ';
 }
}

echo '</div>';
if($total>0){

$ba=ceil($total/$config_libpost);
$ba2=$ba*$config_libpost-$config_libpost;

echo '<br><hr>Стр:';
$asd=$start-($config_libpost*4);
$asd2=$start+($config_libpost*5);

if($asd<$total && $asd>0){echo ' <a href="lj.php?start=0&amp;action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">[1]</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_libpost);

if ($start==$i) {
echo ' <b>['.$ii.']</b>';
               }
                else {
echo ' <a href="lj.php?start='.$i.'&amp;action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">['.$ii.']</a>';
                     }}

$i=$i+$config_libpost;}
if($asd2<$total){echo ' ... <a href="lj.php?start='.$ba2.'&amp;action=ob&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">['.$ba.']</a>';}
}




}else{
echo'Произошла ошибка! Не выбрана категория или статья<br>'; 
}
echo'<br/><img src="img/forum.png" alt="">';
echo' <b><a href="lj.php?action=komm&amp;did='.$did.'&amp;fid='.$fid.'&amp;'.SID.'">Комментарии</a> ('.$data1[5].')</b><br>';

echo'<img src="img/strelka.png" alt=""> <a href="lj.php?did='.$did.'&amp;'.SID.'">Вернуться</a>'; 
}

}else{echo'Пашшол нахуй!';} 

echo'<br><img src="img/folder_open.png" alt=""> <a href="index.php?'.SID.'">К категориям</a><br>';	
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br/>';

include_once"../themes/$config_themes/foot.php";
?>